import { ApiVisa, BaseApiTemplateService } from "../../../shared";
import { HttpClient } from '@angular/common/http';
import { EmailContainer } from "../../../../../../../models/mongodbSchema/aggregates";
export declare class EmailService extends BaseApiTemplateService<EmailContainer> {
    private http;
    constructor(http: HttpClient);
    setUrl(emailId: string, apiVisa: ApiVisa): void;
    fetchMedia(emailThreadId: string, emailId: string, apiVisa: ApiVisa): import("rxjs").Observable<Blob>;
}
